com.io7m.jcanephora.profiler

## Enum JCGLProfilingIteration

- java.lang.Object
- - java.lang.Enum<JCGLProfilingIteration>
  - - com.io7m.jcanephora.profiler.JCGLProfilingIteration

- All Implemented Interfaces:
    Serializable, Comparable<JCGLProfilingIteration>

      public enum JCGLProfilingIteration
      extends Enum<JCGLProfilingIteration>

  A specification of whether or not iteration should continue.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONTINUE` Continue iterating.
    `STOP` Stop iterating.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JCGLProfilingIteration` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static JCGLProfilingIteration[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CONTINUE

          public static final JCGLProfilingIteration CONTINUE

      Continue iterating.

    - #### STOP

          public static final JCGLProfilingIteration STOP

      Stop iterating.

  - ### Method Detail

    - #### values

          public static JCGLProfilingIteration[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JCGLProfilingIteration c : JCGLProfilingIteration.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JCGLProfilingIteration valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2016 <code@io7m.com> http://io7m.com